/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
#pragma once

#include "resource.h"
#include "GLNamedTargetDlg.h"
class INamedTargetTool;

/// 名前付き作業平面ダイアログ
class CGLNamedCPlaneDlg : public CGLNamedTargetDlg
{
public:
	CGLNamedCPlaneDlg(MGNamedCPlaneTool* tool);

protected:
	virtual MGNamedCPlaneTool * getNamedCPlaneTool();
	virtual INamedTargetTool * getNamedTargetTool();

	virtual CString GetInputDlgTitle() const;
	virtual CString GetInputDlgLabelSave() const;
	virtual CString GetInputDlgLabelRename() const;
	virtual void LoadBitmap(CBitmap& bmp) const;

	DECLARE_MESSAGE_MAP()
};
